Skip to main content
DELETE
/
users
/
{user_guid}
/
transactions
/
{transaction_guid}
Delete manual transactions
curl --request DELETE \
  --url https://int-api.mx.com/users/{user_guid}/transactions/{transaction_guid} \
  --header 'Accept-Version: <accept-version>' \
  --header 'Authorization: Basic <encoded-value>'
import requests

url = "https://int-api.mx.com/users/{user_guid}/transactions/{transaction_guid}"

headers = {
"Accept-Version": "<accept-version>",
"Authorization": "Basic <encoded-value>"
}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {
method: 'DELETE',
headers: {'Accept-Version': '<accept-version>', Authorization: 'Basic <encoded-value>'}
};

fetch('https://int-api.mx.com/users/{user_guid}/transactions/{transaction_guid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


Delete a manual transaction. In the path, use the manual transaction guid as the transaction_guid, such as MAN-810828b0-5210-4878-9bd3-f4ce514f90c4.

Authorizations

Authorization
string
header
required

The MX Platform API requires basic access authentication using your client_id and api_key. These credentials must be Base64 encoded and included in the Authorization header of each API request to ensure secure access.

Here's an example using curl to access v20250224. Replace https://int-api.mx.com/endpoint with the actual API endpoint you wish to access and your Base64 encoded client_id and api_key.

curl -L -X POST `https://int-api.mx.com/endpoint' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Accept-Version: v20250224'
-H 'Authorization: Basic BASE_64_ENCODING_OF{client_id:api_key}'

Headers

Accept-Version
string
default:v20250224
required

MX Platform API version.

Example:

"v20250224"

Path Parameters

user_guid
string
required

The unique identifier for a user, beginning with the prefix USR-.

transaction_guid
string
required

The unique id for a transaction.

Response

204

No content